Project Analytics
Retrieves a breakdown of credits for a specific project.
Bearer authentication with JWT
OK
Forbidden
GET /projects/{projectIdentifier}/analytics/credit-breakdown HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"projectName": "text",
"allAssistants": {
"credits": 1,
"jobs": 1
},
"flowCredits": 1,
"flowJobs": 1,
"credits": 1,
"publicProjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"totalCredits": 1,
"totalJobs": 1,
"deleted": "2026-01-01T00:00:00.000Z",
"ocrPageCount": 1,
"layoutPageCount": 1,
"pageCount": 1,
"ocrCreditsCost": 1,
"layoutCreditsCost": 1,
"fileCreditsCost": 1
}Retrieves the latest balance for the organization.
Bearer authentication with JWT
OK
Forbidden
GET /projects/balance/latest HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"availableCredits": 1,
"credits": 1
}Retrieves project analytics for the organization.
Bearer authentication with JWT
trueOK
Forbidden
GET /projects/analytics HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"items": [
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"description": "text",
"dateAdded": "2026-01-01T00:00:00.000Z",
"resourceOwnerId": "text",
"resourceOwner": {
"name": "text",
"id": "text",
"email": "text",
"picture": "text",
"roles": [
{
"id": "text",
"name": "text"
}
]
},
"chatCount": 1,
"chatCredits": 1,
"flowCount": 1,
"flowCredits": 1,
"jobCount": 1,
"totalCredits": 1,
"deleted": true,
"id": 1,
"ocrPageCount": 1,
"layoutPageCount": 1,
"pageCount": 1,
"ocrCreditsCost": 1,
"layoutCreditsCost": 1,
"fileCreditsCost": 1,
"metadata": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}
],
"totalCount": 1
}Exports all project analytics for the organization as an Excel file.
Bearer authentication with JWT
OK
Forbidden
GET /projects/analytics/export HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
binaryRetrieves assistant analytics for the organization.
Bearer authentication with JWT
trueOK
Forbidden
GET /projects/assistants/analytics HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"items": [
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"dateAdded": "2026-01-01T00:00:00.000Z",
"dateModified": "2026-01-01T00:00:00.000Z",
"name": "text",
"resourceOwnerId": "text",
"userIds": [
"text"
],
"resourceOwner": {
"name": "text",
"id": "text",
"email": "text",
"picture": "text",
"roles": [
{
"id": "text",
"name": "text"
}
]
},
"users": [
{
"name": "text",
"id": "text",
"email": "text",
"picture": "text",
"roles": [
{
"id": "text",
"name": "text"
}
]
}
],
"documentCount": 1,
"totalFileSizeBytes": 1,
"assistantMessageCount": 1,
"userMessageCount": 1,
"totalCount": 1,
"credits": 1,
"deleted": true,
"projectName": "text",
"projectObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"estimatedTokenCount": 1
}
],
"totalCount": 1
}Exports all assistant analytics for the organization as an Excel file.
Bearer authentication with JWT
OK
Forbidden
GET /projects/assistants/analytics/export HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
binaryRetrieves flow analytics for the organization.
Bearer authentication with JWT
trueOK
Forbidden
GET /projects/flows/analytics HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"items": [
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"dateAdded": "2026-01-01T00:00:00.000Z",
"dateModified": "2026-01-01T00:00:00.000Z",
"name": "text",
"resourceOwnerId": "text",
"resourceOwner": {
"name": "text",
"id": "text",
"email": "text",
"picture": "text",
"roles": [
{
"id": "text",
"name": "text"
}
]
},
"groupCount": 1,
"promptCount": 1,
"runCount": 1,
"credits": 1,
"playbooks": [
"text"
],
"deleted": true,
"projectName": "text",
"projectObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}
],
"totalCount": 1
}Exports all flow analytics for the organization as an Excel file.
Bearer authentication with JWT
OK
Forbidden
GET /projects/flows/analytics/export HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
binaryRetrieves per-user Word Add-In credit usage analytics for the organization.
Bearer authentication with JWT
trueOK
Forbidden
GET /projects/word-addin/analytics HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"items": [
{
"userIdentifier": "text",
"userName": "text",
"credits": 1,
"requestCount": 1
}
],
"totalCount": 1
}Exports all per-user Word Add-In credit usage analytics for the organization as an Excel file.
Bearer authentication with JWT
OK
Forbidden
GET /projects/word-addin/analytics/export HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
binaryReturns the credit and resource usage summary for the currently authenticated user.
Bearer authentication with JWT
OK
Unauthorized
Forbidden
GET /projects/admin/current-user HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"reviewJobs": 1,
"reviewCredits": 1,
"chat": {
"credits": 1,
"jobs": 1
},
"conversation": {
"credits": 1,
"jobs": 1
},
"chatDocuments": {
"credits": 1,
"jobs": 1
},
"chatTextAnalysis": {
"credits": 1,
"jobs": 1
},
"totalCredits": 1,
"totalJobs": 1,
"ocrPageCount": 1,
"layoutPageCount": 1,
"pageCount": 1,
"ocrCreditsCost": 1,
"layoutCreditsCost": 1,
"fileCreditsCost": 1
}Returns a paginated, optionally filtered list of organization members and their analytics. Requires Owner role.
Bearer authentication with JWT
1100trueOK
Unauthorized
Forbidden
GET /projects/admin/users HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"items": [
{
"name": "text",
"id": "text",
"email": "text",
"picture": "text",
"roles": [
{
"id": "text",
"name": "text"
}
],
"lastLogin": "2026-01-01T00:00:00.000Z",
"loginsCount": 1,
"createdAt": "2026-01-01T00:00:00.000Z",
"flows": 1,
"assistants": 1,
"totalCredits": 1,
"flowCredits": 1,
"assistantCredits": 1,
"ocrPageCount": 1,
"layoutPageCount": 1,
"pageCount": 1,
"ocrCreditsCost": 1,
"layoutCreditsCost": 1,
"fileCreditsCost": 1
}
],
"totalCount": 1
}Exports the organization's user analytics as a downloadable Excel (.xlsx) file. Requires Owner role.
Bearer authentication with JWT
OK
Unauthorized
Forbidden
GET /projects/admin/users/export HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
binaryLast updated
